<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="main-bg" style="background-image: url('images/bg_l.gif'); background-repeat: repeat-y;">
	<tr>
		<td style="background-image: url('images/bg_r.gif'); background-position: right; background-repeat: repeat-y;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/bg_b.gif'); background-position: bottom; background-repeat: repeat-x;">
				<tr>
					<td style="background-image: url('images/bg_t.gif'); background-position: top; background-repeat: repeat-x;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/bg_tl.jpg'); background-repeat: no-repeat;">
							<tr>
								<td style="background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/bg_br.gif'); background-position: bottom right; background-repeat: no-repeat;">
										<tr>
											<td style="background-image: url('images/bg_bl.gif'); background-position: bottom left; background-repeat: no-repeat;">
												<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 755px;"><tr><td valign="top">
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
	<TR>
		<TD height="120" style="padding-left: 130px;">
			<!-- LOGO -->
			<table cellpadding="0" cellspacing="0">
				<tr>
					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
				</tr>
				<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			</table>
			<!-- END LOGO -->
		</TD>
	</TR>
	<TR>
		<TD height="40" style="padding: 0 130px;">
			<table cellpadding="0" cellspacing="0" border="0" align="center">
				<tr>
					<td><img src="images/menu_tl.gif" border="0" alt=""/></td>
					<td width="100%" class="menu-bg"></td>
					<td><img src="images/menu_tr.gif" border="0" alt=""/></td>
				</tr>
				<tr>
					<td colspan="3" class="menu-bg">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
								<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
								<xsl:call-template name="TOP-MENU"/>
								<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
							</tr>
						</table>
						<!-- END MENU -->
					</td>
				</tr>
				<tr>
					<td><img src="images/menu_bl.gif" border="0" alt=""/></td>
					<td class="menu-bg"></td>
					<td><img src="images/menu_br.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="25"></TD></TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr valign="top">
					<td>
						<table cellpadding="0" cellspacing="0" border="0" width="171" align="right">
							<tr><td><img src="images/submenu_tbg.gif" border="0" alt=""/></td></tr>
							<tr>
								<td style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
									<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="160" border="0">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
									</table>
									<!-- END SUBMENU -->
								</td>
							</tr>
							<tr><td><img src="images/submenu_bbg.gif" border="0" alt=""/></td></tr>
						</table>
						<div style="width:202px; height:1px;"><spacer type="block" width="202" height="1"/></div>
					</td>
					<td width="100%" class="pageContent" style="padding: 20 155px 0 25px;">
						<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td><img src="images/txtheader_l.gif" border="0" alt=""/></td>
								<td class="txtheader-bg text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
								<td><img src="images/txtheader_r.gif" border="0" alt=""/></td>
							</tr>
						</table>
						<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
						<!-- END CONTENT -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="40"></TD></TR>
	<TR>
		<TD height="40" style="padding: 0 130px;">
			<table cellpadding="0" cellspacing="0" border="0" align="center">
				<tr>
					<td><img src="images/bmenu_tl.gif" border="0" alt=""/></td>
					<td width="100%" class="menu-bg"></td>
					<td><img src="images/bmenu_tr.gif" border="0" alt=""/></td>
				</tr>
				<tr>
					<td colspan="3" class="menu-bg">
						<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
					</td>
				</tr>
				<tr>
					<td><img src="images/bmenu_bl.gif" border="0" alt=""/></td>
					<td class="menu-bg"></td>
					<td><img src="images/bmenu_br.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="50"></TD></TR>
	<TR>
		<TD height="90" align="center" class="footer">
		<!-- FOOTER -->
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
												</td></tr></table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>						
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td colspan="2" style="padding: 3px 18px;">
					<table cellpadding="0" cellspacing="0" border="0" width="100%" height="18" class="submenu-bg" style="background-image: url('images/submenu_atl.gif'); background-repeat: no-repeat;">
						<tr>
							<td style="background-image: url('images/submenu_atr.gif'); background-position: top right; background-repeat: no-repeat;">
								<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/submenu_abl.gif'); background-position: bottom left; background-repeat: no-repeat;">
									<tr>
										<td style="background-image: url('images/submenu_abr.gif'); background-position: bottom right; background-repeat: no-repeat;">
											<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
												<tr>
													<td style="padding-left: 5px"><img src="images/submenu_bullet.gif" border="0"/></td>
													<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>																			
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 22px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td style="padding-left: 5px" height="30" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" style="background-image: url('images/submenu_hr.gif'); background-repeat: no-repeat;"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
